# simple wx python application.
# this app was written by Tech Junkie
# http://hubpages.com/t/1a647c
 # http://techjunkie.hubpages.com/hub/wxWidgets-and-wxPython-are-standard-tools-on-OSX-XCode
import wx
 
class MainFrame(wx.Frame):
    def __init__(self, *args, **kwds):
        wx.Frame.__init__(self, *args, **kwds)
        self.PanelMain = wx.Panel(self, -1)
        self.ButtonMain = wx.Button(self.PanelMain, -1, "This is a button!")
        sizer_1 = wx.BoxSizer(wx.VERTICAL)
        sizer_2 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_2.Add(self.ButtonMain, 1, wx.ALL|wx.ALIGN_CENTER_HORIZONTAL|wx.ALIGN_CENTER_VERTICAL, 10)
        self.PanelMain.SetSizer(sizer_2)
        sizer_1.Add(self.PanelMain, 1, wx.EXPAND, 0)
        self.SetSizer(sizer_1)
        self.SetSize(wx.Size(200,150))
        self.Layout()
        self.Bind(wx.EVT_BUTTON, self.OnButtonMain, self.ButtonMain)
		
    def OnButtonMain(self,event):
        wx.MessageBox("You have clicked the button")

app = wx.PySimpleApp(0)
frame_1 = MainFrame(None, -1, "") 
app.SetTopWindow(frame_1)
frame_1.Show()
app.MainLoop
  